Index: main/logger.c
===================================================================
--- main/logger.c	(revision 330104)
+++ main/logger.c	(working copy)
@@ -274,7 +274,8 @@
 		}
 		if (!(chan->fileptr = fopen(chan->filename, "a"))) {
 			/* Can't log here, since we're called with a lock */
-			fprintf(stderr, "Logger Warning: Unable to open log file '%s': %s\n", chan->filename, strerror(errno));
+			ast_free(chan);
+			return NULL;
 		} 
 		chan->type = LOGTYPE_FILE;
 	}
@@ -383,6 +384,11 @@
 	var = ast_variable_browse(cfg, "logfiles");
 	for (; var; var = var->next) {
 		if (!(chan = make_logchannel(var->name, var->value, var->lineno))) {
+			/* Print error message directly to the consoles since the lock is held 
+			 * and we don't want to unlock with the list partially built */
+			ast_console_puts_mutable("WARNING: Unable to create log channel '", __LOG_WARNING);
+			ast_console_puts_mutable(var->name, __LOG_WARNING);
+			ast_console_puts_mutable("'\n", __LOG_WARNING);
 			continue;
 		}
 		AST_RWLIST_INSERT_HEAD(&logchannels, chan, list);
